Package org.eclipse.mat.parser.index

## Class IndexWriter

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter

    public abstract class IndexWriter
    extends java.lang.Object

Base implementations to write index files.

### Nested Class Summary

Nested Classes
`static class` `IndexWriter.Identifier` Used to collect the objects by address.
`static class` `IndexWriter.InboundWriter` A writer for inbound references.
`static class` `IndexWriter.IntArray1NSortedWriter` Used to write out a sorted array of ints.
`static class` `IndexWriter.IntArray1NUncompressedCollector` Build index for mapping int to int array.
`static class` `IndexWriter.IntArray1NWriter` Write out a mapping of ints to int arrays.
`static class` `IndexWriter.IntIndexCollector` A collector of ArrayIntCompressed.
`static class` `IndexWriter.IntIndexCollectorUncompressed` Collect a mapping of int to int.
`static class` `IndexWriter.IntIndexStreamer` A helper to write out an index to a file.
`static interface` `IndexWriter.KeyWriter` Used to write out a key for an index.
`static class` `IndexWriter.LongArray1NWriter`
`static class` `IndexWriter.LongIndexCollector` A collector for a int to long mapping.
`static class` `IndexWriter.LongIndexCollectorUncompressed` Build a int to long index.
`static class` `IndexWriter.LongIndexStreamer` A helper class to output a list of longs.
`static class` `IndexWriter.SizeIndexCollectorUncompressed` Store sizes of objects by compressing the size to a 32-bit int.

### Field Summary

Fields
`static int` `PAGE_SIZE_INT` Number of entries in a page of ints
`static int` `PAGE_SIZE_LONG` Number of entries in a page of longs

### Constructor Summary

Constructors
`IndexWriter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long[]` `copyOf​(long[] original, int newLength)`
`static int` `mostSignificantBit​(int x)`
`static int` `mostSignificantBit​(long x)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PAGE_SIZE_INT

    public static final int PAGE_SIZE_INT

Number of entries in a page of ints

See Also:
  Constant Field Values

#### PAGE_SIZE_LONG

    public static final int PAGE_SIZE_LONG

Number of entries in a page of longs

See Also:
  Constant Field Values

### Constructor Detail

#### IndexWriter

    public IndexWriter()

### Method Detail

#### copyOf

    public static long[] copyOf​(long[] original,
                                int newLength)

#### mostSignificantBit

    public static int mostSignificantBit​(int x)

#### mostSignificantBit

    public static int mostSignificantBit​(long x)